#include "mymesh.h"

#include <QVector3D>


void transform(MyMesh *mesh, const QMatrix4x4 *mat) {
	QVector3D vec;
	for (MyMesh::VertexHandle v : mesh->vertices()) {
		MyMesh::Point &p = mesh->point(v);
		vec = {p[0], p[1], p[2]};
		vec = *mat * vec;
		p = {vec[0], vec[1], vec[2]};
	}
}
